Bug 1193679 - lasso-php might not be legally redistributable
Summary: lasso-php might not be legally redistributable
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: lasso   
(Show other bugs)
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Simo Sorce
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-Legal
TreeView+ depends on / blocked
 
Reported: 2015-02-17 21:25 UTC by Peter Robinson
Modified: 2015-07-27 19:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-27 14:40:22 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Peter Robinson 2015-02-17 21:25:46 UTC
You currently can't combine code under GPLv2+ and the PHP licences, as they're  incompatible - you can't legally distribute binary packages of the result.

The lasso package is licensed GPLv2+ which means we likely can't ship the PHP bindings. See similar issue in RHBZ #836112

Filing this for tracking and verification with legal.

Comment 1 Jan Kurik 2015-07-15 14:31:29 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 2 Simo Sorce 2015-07-27 14:40:22 UTC
Hi Peter,
the binding is licensed to us by upstream and so I find it unlikely that it has an incompatible license within itself.
I think that if there is any isue this should them be raised upstream, so I'll close the bug accordingly, please raise the issue with upstrem if you think there is any problem in the lasso upstream code.

Comment 3 Tom "spot" Callaway 2015-07-27 19:26:25 UTC
FWIW, RH Legal agreed with that assessment in this case, that specifically, this was not an issue because the same copyright holder is in play with the GPL and PHP licenses.


Note You need to log in before you can comment on or make changes to this bug.